org.icefaces.ace.component.tableconfigpanel

## Class TableConfigPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.tableconfigpanel.TableConfigPanelBase
      - - org.icefaces.ace.component.tableconfigpanel.TableConfigPanel

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IceClientBehaviorHolder, ITableConfigPanel

      public class TableConfigPanel
      extends TableConfigPanelBase

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.component.tableconfigpanel.TableConfigPanelBase

      `TableConfigPanelBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COLUMN_HEAD_SUFFIX`
    `static java.lang.String` | `COLUMN_VISIBILITY_SUFFIX`
    `static java.lang.String` | `DATATABLE_COLUMN_ORDER_SUFFIX`
    `static java.lang.String` | `DATATABLE_HEADER_COLUMN_ORDER_SUFFIX`

    - ### Fields inherited from class org.icefaces.ace.component.tableconfigpanel.TableConfigPanelBase

      `COMPONENT_TYPE, RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableConfigPanel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataTable` | `getTargetedDatatable()`
    `void` | `setInView(boolean isInView)`

    - ### Methods inherited from class org.icefaces.ace.component.tableconfigpanel.TableConfigPanelBase

      `addClientBehavior, getAccesskey, getDefaultEventName, getDefaultExecute, getDefaultRender, getDragHandle, getEventNames, getFamily, getFor, getForcedRenderCount, getInColumnId, getListenerArgument, getOffsetLeft, getOffsetTop, getType, isColumnNameConfigurable, isColumnOrderingConfigurable, isColumnSortingConfigurable, isColumnVisibilityConfigurable, isHideDisabledRows, isModal, isPropertySet, setAccesskey, setColumnNameConfigurable, setColumnOrderingConfigurable, setColumnSortingConfigurable, setColumnVisibilityConfigurable, setDragHandle, setFor, setForcedRenderCount, setHideDisabledRows, setInColumnId, setModal, setOffsetLeft, setOffsetTop, setType, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `getClientBehaviors`

- - ### Field Detail

    - #### DATATABLE_HEADER_COLUMN_ORDER_SUFFIX

          public static final java.lang.String DATATABLE_HEADER_COLUMN_ORDER_SUFFIX

      See Also:
        Constant Field Values

    - #### DATATABLE_COLUMN_ORDER_SUFFIX

          public static final java.lang.String DATATABLE_COLUMN_ORDER_SUFFIX

      See Also:
        Constant Field Values

    - #### COLUMN_VISIBILITY_SUFFIX

          public static final java.lang.String COLUMN_VISIBILITY_SUFFIX

      See Also:
        Constant Field Values

    - #### COLUMN_HEAD_SUFFIX

          public static final java.lang.String COLUMN_HEAD_SUFFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TableConfigPanel

          public TableConfigPanel()

  - ### Method Detail

    - #### getTargetedDatatable

          public DataTable getTargetedDatatable()

    - #### setInView

          public void setInView(boolean isInView)

      Overrides:
        `setInView` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.